MarkupBinder is a cross-platform software for both Linux and Windows. It is still in the beta stage of development and seems to be  stable.  It is a command line utility which is intended to be used as a series of easily accessible (with a single keystroke) tools in text editors which allow such a configuration; of course MarkupBinder can be used directly from the command line.

The software is available now as follows:

- A package for the [Vinux](http://vinux.org.uk/) Linux distribution.  The installer automatically configures MarkupBinder as a series of tools in gedit the gnome text editor ready for use.

- A 'zip' file for Windows.  Instructions are provided for easily setting MarkupBinder as a series of tools in TextPad - a shareware text editor.

MarkupBinder is used for both creating single documents and binding them together.   

As an alternative to a word processor approach, a single document is created and edited in a text editor and the file is automatically formatted and converted to HTML during the edit / review phase.  When it is ready, a document can be converted to other formats for viewing in a word processor.

MarkupBinder can bind your individual documents which means that it automatically generates an HTML view of all your documents stored in a hierarchical folder structure written in the [Markdown](http://daringfireball.net/projects/markdown/) lightweight writing format. This is accomplished by generating the appropriate headers and footers and converting your documents from Markdown to HTML using the [Pandoc](http://johnmacfarlane.net/pandoc/) converter. These files are then linked in a variety of ways to form a coherent structure; it is suitable for documents of simple to moderate complexity such as personal notes or software manuals; the types of documents handled are similar to those used in Wikipedia. 

A Markup Binder, or in short a binder, is a hierarchy of standard folders on your computer system which you create to suit your needs.  

For structured publications, this folder hierarchy should reflect your desired publication; for example, a manual will have a number of sections which in turn split into subsections, each of which is a separate folder.

Each folder can contain other folders and document files.  These files are simple text files written in the Markdown lightweight writing format which means that they are marked with simple symbols used to convert these files to well formed HTML pages.

MarkupBinder is a command line tool which means that you can use it like any other command line tool but its main purpose is to be configured in text editors such as TextPad in Windows or gedit in Linux as a series of tools.

Once configured in your favourite text editor, you open individual documents in the usual way, edit them in Markdown format and save them with a '.md' file extension.

MarkupBinder is configured as a series of tools to perform various functions, from converting a single file to HTML through to converting and linking the complete binder.  You can use these HTML-linked structures on your computer to navigate your documents easily or upload them to a website to be viewed by others.
