package common;

//Copyright Isaac Porat (c) 2010.  All rights reserved.  License Lesser GPL see accompanying file.

public class OperatingSystem
{

	public static String getOS()
	{
		return (System.getProperty("os.name"));
	}

	public static boolean isWindows()
	{
		String os = System.getProperty("os.name").toLowerCase();
		if (os.startsWith("windows"))
			return (true);
		return (false);
	}

	public static boolean isWindows95()
	{
		String os = System.getProperty("os.name").toLowerCase();
		if (os.equals("windows 95"))
			return (true);
		return (false);
	}

	public static boolean isWindows98()
	{
		String os = System.getProperty("os.name").toLowerCase();
		if (os.equals("windows 98"))
			return (true);
		return (false);
	}

	public static boolean isWindowsME()
	{
		String os = System.getProperty("os.name").toLowerCase();
		if (os.equals("windows me"))
			return (true);
		return (false);
	}

	public static boolean isWindowsNT()
	{
		String os = System.getProperty("os.name").toLowerCase();
		if (os.equals("windows nt"))
			return (true);
		return (false);
	}

	public static boolean isWindows2000()
	{
		String os = System.getProperty("os.name").toLowerCase();
		if (os.equals("windows 2000"))
			return (true);
		return (false);
	}

	public static boolean isWindowsXP()
	{
		String os = System.getProperty("os.name").toLowerCase();
		if (os.equals("windows xp"))
			return (true);
		return (false);
	}

	public static boolean isWindowsVista()
	{
		String os = System.getProperty("os.name").toLowerCase();
		if (os.startsWith("windows vista"))
			return (true);
		return (false);
	}

	public static boolean isWindows7()
	{
		String os = System.getProperty("os.name").toLowerCase();
		if (os.startsWith("windows 7"))
			return (true);
		return (false);
	}

	public static boolean isMac()
	{
		String os = System.getProperty("os.name").toLowerCase();
		if (os.startsWith("mac"))
			return (true);
		return (false);
	}

	public static boolean isLinux()
	{
		String os = System.getProperty("os.name").toLowerCase();
		if (os.startsWith("linux"))
			return (true);
		return (false);
	}

}
