Markdown is a lightweight markup language with a simple syntax, designed to be easy to write with a simple text editor, and easy to read in its raw form.

Simply put, the writer enters basic symbols into the text which tells Markdown how to format the text.  You can read more about it in this [Wikipedia article](http://en.wikipedia.org/wiki/Markdown)

Markdown is simple to learn and intuitively recognizable by sighted readers as meaningful structured text.  You write Markdown in a simple text editor.  It is useful to store your text in this format but usually you would want to convert it to other formats, mainly HTML.  Many other formats are supported, for example RTF which will allow you to view your document in a word processor.

It is convenient to use a text editor which is configured 'out-of-the-box' to handle Markdown or configure your text editor to convert Markdown as a tool which means that you can do this from the editor menu or with a single keystroke.  If all you are interested in is individual documents, you don't need Markup Binder, you need a converter such as Pandoc and configure your text editor to use it as a tool.  

Markup Binder, which is designed to bind together your documents, uses the Markdown format at its core and once you configure your text editor to use Markup Binder, Markdown functionality is built in.





