package formats;

//Copyright Isaac Porat (c) 2010.  All rights reserved.  License Lesser GPL see accompanying file.

import java.io.File;

import common.Utilities;

public class EmptyFileWriter
{

	public static void createEmptyMarkdownFile(String resourceDirectoryPath) throws Exception
	{
		/*
		 * This file is an aid to the user as it ensures utf-8 encoding required by pandoc
		 * It is easy for the user to copy the file and fill with his own content
		 * This method assumes that '_resource' directory is already created       
		 * If the user moved this file it is created again.
		 *  For now the file created in utf-8 with a bom.
		 */
		String emptyFilePath = resourceDirectoryPath + "/empty-file.md";
		String message = " ";
		File emptyFile = new File(emptyFilePath);
		if (emptyFile.exists() == false)
			Utilities.stringToFileUTF8(emptyFilePath, message, true);
	}

}
